---
layout: mockup
title: "Displays"
theme: Adwaita/Adwaita.css
permalink: settings/displays/
wallpaper: adwaita
category: "Devices"
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<style type="text/css">
#displayLayout {
	background-color: #fff;
	padding: 12px;
	padding-bottom: 6px;
	margin:0;
	margin-left: 1px;
	width: 100%;
	border-bottom: 1px solid rgba(0,0,0,0.15);
}
#displayLayout p {
	margin-top: 12px;
}

.display {
	font-size: 32px;
	display: inline-block;
	vertical-align: middle;
	margin: 4px;
	background-color: rgba(0,0,0,0.2);
	box-shadow: inset 0 0 0 1px rgba(0,0,0,0.15);
}

#display1 {
	width: 230px;
	height: 144px;
	line-height: 144px;
}
#display2 {
	height: 240px;
	width: 160px;
	line-height: 240px;
}
</style>

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<div class="button-group float-center" style="margin-top: -46px;">
			<div class="linked">
				<a class="button text-button pressed left" href="{{ site.baseurl }}/settings/displays/">Displays</a><a class="button text-button right" href="{{ site.baseurl }}/settings/displays/night-light/">Night Light</a>
			</div>
		</div>
		<div class="button-group float-right" style="margin-top: -46px;">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			<!-- Displays -->
			<div class="row full text-center" id="displayLayout">
				<div id="display1" class="display">1</div>
				<div id="display2" class="display">2</div>
				<p class="dim-label">Drag displays to arrange them.</p>
			</div>
			<div class="row">
				<h4>Multiple Displays</h4>
				<ul class="listrow">
					<li>
						<label>Display Setup</label>
						<div class="linked float-right">
							<a style="width:44px;" class="button text-button text-center pressed left">Join</a><a style="width:44px;" class="button text-button text-center right">Mirror</a>
						</div>
					</li>
					<li>
						<label>Primary Display</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right">Built-in Display</label>
					</li>
				</ul>
			</div>
			<div class="row">
				<h4>Built-in Display</h4>
				<ul class="listrow">
					<li>
						<label>Screen Brightness</label>
						<input class="float-right" type="range" min="1" max="100" value="50" id="screenBrightness">
					</li>
					<li id="displayOrientationPopover">
						<label>Orientation</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="displayOrientationStatus">Landscape</label>
					</li>
					<li id="displayResolutionPopover">
						<label>Resolution</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="displayResolutionStatus">1920 x 1080 (16:9)</label>
					</li>
					<li>
						<label>Display Scale</label>
						<div class="linked float-right">
							<a id="scale100" class="button text-button pressed left">100%</a><a id="scale200" class="button text-button right">200%</a>
						</div>
					</li>
					<li id="displayRefreshRatePopover">
						<label>RefreshRate</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="displayRefreshRateStatus">60.02 Hz</label>
					</li>
				</ul>
			</div>
			<!-- Displays -->
			<div class="row">
				<h4>AZUZ 198BPe4 SmartDisplay</h4>
				<ul class="listrow">
					<li>
						<label>Orientation</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right">Portrait</label>
					</li>
					<li>
						<label>Resolution</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right">1920 x 1080 (16:9)</label>
					</li>
					<li>
						<label>RefreshRate</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right">60.02 Hz</label>
					</li>
					<li>
						<label>Adjust for TV</label>
						{%- include components/switch.html float = "right" -%}
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(14) li').addClass("active");});


// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="displayRefreshRateOption($(this).text());">120.02 Hz</li>',
			'<li onclick="displayRefreshRateOption($(this).text());">60.01 Hz</li>',
			'<li onclick="displayRefreshRateOption($(this).text());">59.96 Hz</li>',
		'</ul>'].join('');

	$('#displayRefreshRatePopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function displayRefreshRateOption() {
	$('#displayRefreshRateStatus').text(arguments[0]);
	$("#displayRefreshRatePopover").popover("hide");
}

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="displayOrientationOption($(this).text());">Landscape</li>',
			'<li onclick="displayOrientationOption($(this).text());">Portrait Right</li>',
			'<li onclick="displayOrientationOption($(this).text());">Portrait Left</li>',
			'<li onclick="displayOrientationOption($(this).text());">Landscape (flipped)</li>',
		'</ul>'].join('');

	$('#displayOrientationPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function displayOrientationOption() {
	$('#displayOrientationStatus').text(arguments[0]);
	$("#displayOrientationPopover").popover("hide");
}

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul class="scrollbox">',
			'<li onclick="displayResolutionOption($(this).text());">1920 x 1080 (16:9)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1680 x 1050 (16:9)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1440 x 1080 (4:3)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1400 x 1050 (4:3)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1600 x 900 (16:9)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1440 x 900 (16:10)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1280 x 960 (4:3)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1368 x 768 (16:9)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1152 x 864 (4:3)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1280 x 720 (16:9)</li>',
			'<li onclick="displayResolutionOption($(this).text());">1024 x 768 (4:3)</li>',
			'<li onclick="displayResolutionOption($(this).text());">800 x 600 (4:3)</li>',
		'</ul>'].join('');

	$('#displayResolutionPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function displayResolutionOption() {
	$('#displayResolutionStatus').text(arguments[0]);
	$("#displayResolutionPopover").popover("hide");
}

// toggle joined button status
$(document).ready(function(){
	$("#scale200").click(function(){
		$("#scale100").removeClass("pressed");
		$("#scale200").addClass("pressed");
	});
});
$(document).ready(function(){
	$("#scale100").click(function(){
		$("#scale200").removeClass("pressed");
		$("#scale100").addClass("pressed");
	});
});
</script>